#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

int niz[100003];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k, suma0=0, suma1=0;
    cin >> n >> k;
    for(int i=0;i<n;i++){
        cin >> niz[i];
        suma0+=niz[i];
        suma1+=(niz[i]*(n-i)*(i+1));
    }
    if(k==0) cout << suma0;
    if(k==1) cout << suma1;
    else cout << 100;

    return 0;
}